#!/usr/bin/perl
# hex2dec.pl - 20150222
use strict;
use warnings;

if (@ARGV) {
    while (@ARGV) {
        my $hex = pop @ARGV;
        my $dec = hex($hex);
        print "hex $hex = dec $dec\n";
    }
} else {
    print "Usage: $0 hex - enter hex to convert to a decimal\n";
}
exit(0);
